Passer au contenu

Recraft V4.1 Text to Image

Intégrer

Identifiant du modèle recraft/v4.1/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/recraft/v4.1/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Full-body fashion shot with the character framed in a close-up, cropped from mid-thigh or waist up so the figure dominates the composition, neutral pose, muted outfit, solid grey background (flat, no gradient). Minimal scribbles with one large graphic element (e.g. oversized abstract shape or drawn eye) placed behind and partially overlapping the figure. Bold oversized typography integrated tightly around the subject: '\''MAKE IT BREAK / MAKE IT WORK'\'' (large serif, slightly distorted, crossing the upper body), '\''no perfect version exists'\'' (small subtle line). Add stickers: minimal icons, checkmarks, soft scribbles, small tape details. Clean but expressive editorial chaos, focus on the character."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Cette requête: 0,035 $ 35 crédits API · ≈ 3,77 ₽ L’exécuter sur cette page

Obtenir une clé API
Recraft Texte vers image #design#brand-colors#illustration

Modèle d'image orienté design avec palettes de marque et contrôle de la couleur d'arrière-plan.

Exemples

Sortie · ~27 s
Full-body fashion shot with the character framed in a close-up, cropped from mid-thigh or waist up so the figure domi...

promptFull-body fashion shot with the character framed in a close-up, cropped from mid-thigh or waist up so the figure dominates the composition, neutral pose, muted outfit, solid grey background (flat, no gradient). Minimal scribbles with one large graphic element (e.g. oversized abstract shape or drawn eye) placed behind and partially overlapping the figure. Bold oversized typography integrated tightly around the subject: 'MAKE IT BREAK / MAKE IT WORK' (large serif, slightly distorted, crossing the upper body), 'no perfect version exists' (small subtle line). Add stickers: minimal icons, checkmarks, soft scribbles, small tape details. Clean but expressive editorial chaos, focus on the character.

0,035 $ · 35 crédits API

Prompt de @recraftai sur X

Créer une requête

Les contrôles sont générés à partir du schéma du modèle. Le code et le prix se mettent à jour lorsque vous les modifiez.

•requis 700 / 10000
image_size par défaut square_hd
Avancé colors · background_color
par défaut []

Tableau contenant les couleurs préférées.

Couleur préférée pour l’arrière-plan des images générées.

POST /run/recraft/v4.1/text-to-image?wait=20 devis → 0,035 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/recraft/v4.1/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Full-body fashion shot with the character framed in a close-up, cropped from mid-thigh or waist up so the figure dominates the composition, neutral pose, muted outfit, solid grey background (flat, no gradient). Minimal scribbles with one large graphic element (e.g. oversized abstract shape or drawn eye) placed behind and partially overlapping the figure. Bold oversized typography integrated tightly around the subject: '\''MAKE IT BREAK / MAKE IT WORK'\'' (large serif, slightly distorted, crossing the upper body), '\''no perfect version exists'\'' (small subtle line). Add stickers: minimal icons, checkmarks, soft scribbles, small tape details. Clean but expressive editorial chaos, focus on the character."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Exécuter cette requête

Votre clé reste dans ce navigateur : elle est envoyée uniquement à la Doitong API et enregistrée dans localStorage uniquement si vous cochez Mémoriser. Obtenir une clé API

À propos de Recraft V4.1 Text to Image

Recraft V4.1 est conçu pour le design : visuels marketing, illustrations et scènes de produits avec une composition nette. Transmettez une liste de couleurs RGB préférées pour conserver une palette de marque, ou fixez la couleur d'arrière-plan pour des séries cohérentes. Une image par requête, à une taille prédéfinie ou personnalisée.

Paramètres

NomType Par défautAutorisé Description
promptrequis
Typestring
≤ 10 000 caractères
image_sizefacultatif
Typeobject
Par défautsquare_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
colorsfacultatif
Typeobject[]
Par défaut[]
Tableau contenant les couleurs préférées.
colors[].rfacultatif
Typeinteger
Par défaut0
0 – 255
Valeur de la composante rouge.
colors[].gfacultatif
Typeinteger
Par défaut0
0 – 255
Valeur de la composante verte.
colors[].bfacultatif
Typeinteger
Par défaut0
0 – 255
Valeur de la composante bleue.
background_colorfacultatif
Typeobject
Couleur préférée pour l’arrière-plan des images générées.
background_color.rfacultatif
Typeinteger
Par défaut0
0 – 255
Valeur de la composante rouge.
background_color.gfacultatif
Typeinteger
Par défaut0
0 – 255
Valeur de la composante verte.
background_color.bfacultatif
Typeinteger
Par défaut0
0 – 255
Valeur de la composante bleue.
requis

Sortie

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "recraft/v4.1/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 35,
    "usd": "0.035",
    "charged": 35,
    "refunded": 0
  },
  "input": {
    "prompt": "Tilt-shift miniature view of a fishing village harbor at golden hour, colorful boats, toy-like scale",
    "image_size": "landscape_16_9"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Vos fichiers, votre choixChaque outputs[].url est une copie dans notre stockage : conservée indéfiniment (facturation au Go-mois) ou 7 jours gratuitement, selon le réglage de votre compte ou ?storage=.
Même structure pour chaque modèletype, url, content_type, width, height et duration, pour les images, vidéos et fichiers audio. output est le propre objet de résultat du modèle.
Champs de sortie
images
array of object {url, content_type, file_name, file_size}

Plus de modèles : Texte vers image

Pour les agents IA : cette page au format Markdown est disponible à https://doitong.com/fr/developers/models/recraft/v4.1/text-to-image.md. Tous les modèles et guides : https://doitong.com/developers/llms.txt